#-- 
#  Copyright (C) 2008 Red Hat Inc.
#  
#  This library is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public
#  License as published by the Free Software Foundation; either
#  version 2.1 of the License, or (at your option) any later version.
#  
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details.
#  
#  You should have received a copy of the GNU Lesser General Public
#  License along with this library; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
#
# Author: Bryan Kearney <bkearney@redhat.com>
#--

import "appliance_base"

#
# banners
# -----
# Friendly text about the appliance.
#
class banners inherits appliance_base{
}

#
# banners::terminal
# Creates a banner that shows up from the terminal
#
define banners::terminal($appliance_version=$appliance_version, $template_file="banners/issue.erb"){
	file {"/etc/issue":
			content => template($template_file),
			require => Service["network"]
	}	
	file {"/etc/issue.net":
			content => template($template_file),
			require => Service["network"]			
	}		
}


#
# banners::login
# Creates a banner that shows up after login
#
define banners::login($appliance_version=$appliance_version, $template_file="banners/motd.erb"){
	file {"/etc/motd":
		content 		=> template($template_file)
	}	
}

#
# banners::all
# Creates all the banners
#
define banners::all($appliance_version=$appliance_version) {
	banners::terminal{"$name": 	
		appliance_version 		=> $appliance_version,
		require 				=> Service["network"]} 
	banners::login{"$name": 	
		appliance_version 		=> $appliance_version} 	
}
